#ifndef CollectionDelegate_h
#define CollectionDelegate_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "IconSize.h"
#include "TimeStamp.h"

#include <QAbstractItemDelegate>
#include <QTextCursor>

// forward declaration
class ConnectionId;
class TrackInformationModel;

//* item delegate
class CollectionDelegate : public QAbstractItemDelegate, private Base::Counter<CollectionDelegate>
{

    Q_OBJECT

    public:

    //* constructor
    explicit CollectionDelegate( QObject* = nullptr );

    //* paint
    void paint( QPainter*, const QStyleOptionViewItem&, const QModelIndex& ) const override;

    //* size
    QSize sizeHint( const QStyleOptionViewItem&, const QModelIndex& ) const override;

    private Q_SLOTS:

    //* update configuration
    void _updateConfiguration();

    private:

    //* margin
    int margin_ = 3;

    //* spacing
    int spacing_ = 6;

    //* icon size
    int iconSize_ = IconSize::Small;


};

#endif
