#ifndef ConfigurationDialog_h
#define ConfigurationDialog_h
/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseConfigurationDialog.h"

class OptionCheckBox;
class LyricsProviderWidget;

//* configuration dialog
class ConfigurationDialog: public BaseConfigurationDialog
{

    Q_OBJECT

    public:

    //* creator
    explicit ConfigurationDialog( QWidget* );

    //* window visibility
    enum class WindowVisibilityMode
    {
        Show,
        Hide,
        Restore
    };

    //*@name accessors
    //@{

    //* lyrics provider
    LyricsProviderWidget& lyricsProviderWidget() const
    { return *lyricsProviderWidget_; }

    //@}

    //*@name modifiers
    //@{
    //* sound notifications
    void setTextNotificationsSupported( bool value )
    { textNotificationsSupported_ = value; }

    //* realize widget
    void realizeWidget();

    //@}

    Q_SIGNALS:

    //* request collection (full) update
    void requestCollectionUpdate();

    private Q_SLOTS:

    //* text notifications
    void _toggleTextNotifications( bool );

    private:

    //* text notification checkbox
    OptionCheckBox* textNotificationsCheckBox_ = nullptr;

    //* lyrics
    LyricsProviderWidget* lyricsProviderWidget_ = nullptr;

    //* text notifications
    bool textNotificationsSupported_ = true;

};

#endif
