#ifndef ListNotificationWidget_h
#define ListNotificationWidget_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"

#include <QLabel>
#include <QPaintEvent>

class ListNotificationWidget: public QLabel, private Base::Counter<ListNotificationWidget>
{

    Q_OBJECT

    public:

    //* built-in margin
    static const int Margin = 10;

    //* constructor
    explicit ListNotificationWidget( const QString&, QWidget* = nullptr );

    //* event filter
    bool eventFilter( QObject*, QEvent* ) override;

    protected:

    //* paint event
    void paintEvent( QPaintEvent* ) override;

};

#endif
