/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "LyricsProviderWidget.h"

#include "Debug.h"
#include "TreeView.h"

#include <QHeaderView>
#include <QLayout>

//________________________________________________________
LyricsProviderWidget::LyricsProviderWidget( QWidget* parent ):
    QWidget( parent ),
    Counter( "LyricsProviderWidget" )
{
    Debug::Throw( "LyricsProviderWidget::LyricsProviderWidget.\n" );

    auto vLayout = new QVBoxLayout;
    vLayout->setMargin(0);
    vLayout->setSpacing(2);
    setLayout( vLayout );

    vLayout->addWidget( list_ = new TreeView( this ) );
    list_->header()->hide();
    list_->setModel( &model_ );
    list_->setOptionName( "CACHE_INFORMATION_LIST" );
    list_->setSelectionMode( QAbstractItemView::ContiguousSelection );
    list_->setSortingEnabled( false );
}
