#ifndef LyricsProviderWidget_h
#define LyricsProviderWidget_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "LyricsProviderModel.h"

#include <QWidget>

class TreeView;

class LyricsProviderWidget: public QWidget, private Base::Counter<LyricsProviderWidget>
{

    Q_OBJECT

    public:

    //* constructor
    explicit LyricsProviderWidget( QWidget* = nullptr );

    //*@name accessors
    //@{

    //* list
    TreeView& list() const
    { return *list_; }

    //* model
    const LyricsProviderModel& model() const
    { return model_; }

    //@}

    //*@name modifiers
    //@{

    //* model
    LyricsProviderModel& model()
    { return model_; }

    //@}

    private:

    //* treeview
    TreeView* list_ = nullptr;

    //* model
    LyricsProviderModel model_;

};

#endif
