#ifndef TrackInformationFilterMenu_h
#define TrackInformationFilterMenu_h

/******************************************************************************
*
* Copyright (C) 2017 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "TrackInformation.h"

#include <QMenu>
#include <QAction>
#include <QHash>

class TrackInformationFilterMenu: public QMenu, private Base::Counter<TrackInformationFilterMenu>
{

    Q_OBJECT

    public:

    //* constructor
    explicit TrackInformationFilterMenu( QWidget* = nullptr );

    //*@name accessors
    //@{

    TrackInformation::Mask mask() const;

    //@}

    Q_SIGNALS:

    //* mask changed
    void maskChanged( TrackInformation::Mask );

    private Q_SLOTS:

    void _updateConfiguration();

    void _maskChanged();

    private:

    //* mask
    void _setMask( TrackInformation::Mask );

    using ActionMap = QHash<QAction*, TrackInformation::Tag>;
    ActionMap actions_;

};

#endif
